#joystick flythrough camera for scene testing  #
#shuvit.org                                    #
################################################

import bge

def main():
#####
    #init
    cont = bge.logic.getCurrentController()
    own = cont.owner
    dict = bge.logic.globalDict
    
    own['lmLR'] = 0
    own['lmUD'] = 0
    own['rmLR'] = 0
    own['rmUD'] = 0
    own['mTrig'] = 0
    own['last_move_x'] = 0.000
    own['last_move_y'] = 0.000
    own['last_move_z'] = 0.000
    own['last_rot_x'] = 0.0000
    own['last_rot_y'] = 0.0000    
    own['aBut'] = 0
    own['bBut'] = 0
    own['xBut'] = 0
    own['yBut'] = 0
    own['lBump'] = 0
    own['rBump'] = 0
    own['stBut'] = 0
    own['bkBut'] = 0
    own['ltsBut'] = 0
    own['rtsBut'] = 0
    own['menu_on'] = False
    dict['menu_on'] = False
    own['submenu_on'] = False
    dict['submenu_on'] = False
    own['menu_item'] = 0
    own['submenu_item'] = 0
    own['idle_timer'] = 0
    own['idle'] = False
    own['idlecampos_x'] = 0
    own['cam_focal_length'] = 24
    dict['cam_focal_length'] = 24
    
    act = cont.actuators["fxaa"]
    cont.activate(act)
    act = cont.actuators["bc_act"]
    cont.activate(act)
    act = cont.actuators["ao_act"]
    cont.activate(act)    
    act = cont.actuators["hdr_act"]
    cont.activate(act) 
    act = cont.actuators["dof_act"]
    cont.activate(act)        
    
    dict['menuText'] = ''
    dict['submenuText'] = ''
    dict['optionText'] = ''

#user setable defaults    
    own['speed_mult'] = 1.00
    own['FXAA_SPAN_MAX'] = 16.0
    own['bc'] = True
    own['ao'] = True
    own['BC_CONTRAST'] = 1.3  
    own['BC_BRIGHTNESS'] = 1.15
    own['aowidth'] = 64
    own['aoradius'] = 64
    own['hdr'] = True
    own['HDRamount'] = .05
    own['avgL'] = 1.0
    
main()